hub-browse(1)

NAME
hub-browse - Open a GitHub repository in a web browser.

SYNOPSIS

hub browse [-uc] [[USER/]REPOSITORY|--] [SUBPAGE]

OPTIONS

-u, --url
    Print the URL instead of opening it.

-c, --copy
    Put the URL in clipboard instead of opening it.

[USER/]REPOSITORY
    Defaults to repository in the current working directory.

SUBPAGE
    One of "wiki", "commits", "issues", or other (default: "tree").

EXAMPLES

    $ hub browse
    > open https://github.com/REPO
    $ hub browse -- issues
    > open https://github.com/REPO/issues
    $ hub browse jingweno/gh
    > open https://github.com/jingweno/gh
    $ hub browse gh wiki
    > open https://github.com/USER/gh/wiki

SEE ALSO

hub-compare(1), hub(1)